# Archive Policy

`DELETE /v2/policies/{policyId}`

Archives a policy.

{% hint style="info" %}

* User action signature required. See [User Action Signing](/d/api-docs/authentication/user-action-signing.md) for more information.
* Request headers required. See [Request Headers](/d/advanced-topics/authentication/request-headers.md) for more information.
* Authentication required. See [Authentication Headers](/d/advanced-topics/authentication/request-headers.md#authentication-headers) for more information.
  {% endhint %}

## Required Permissions

| Name               | Conditions      |
| ------------------ | --------------- |
| `Policies:Archive` | Always Required |

## Path parameters <a href="#response" id="response"></a>

| Path parameter | Description                                                               |
| -------------- | ------------------------------------------------------------------------- |
| `policyID`     | Unique identifier of the `Policy`. ex. plc`-1f04s-lqc9q-xxxxxxxxxxxxxxxx` |

## RResponse <a href="#native-currency-request-body" id="native-currency-request-body"></a>

### 200 - no approval required <a href="#response-example" id="response-example"></a>

Same as [Create Policy](/d/api-docs/policy-engine/api-reference/create-policy.md) response, except policy `status` is `"Archived"`

### 202 - approval required <a href="#response-example" id="response-example"></a>

In the case when an approval is first required before the policy can actually be modified, a `202` status code is returned, and the object returned is a "Policy change request", which contains an `approvalId`. You can use the `approvalId` to fetch the right approval to be fulfilled before this change request actually executes.

```json
// policy change request object
{
  "id": "cr-...",
  "kind": "Policy",
  "operationKind": "Update",
  "status": "Pending",
  "requester": { "userId": "us-..." },
  "entityId": "plc-...",
  "approvalId": "ap-...",
  "dateCreated": "2023-12-22T20:57:55.814Z",
  "body": {
    ... // the full body passed in the request
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/policy-engine/api-reference/archive-policy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
